ReferenceAgents, threads and templates
Create a platform template, always in the catalog (platform admins)
POST
application/json- body
slug*stringMatch
^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$name*stringLength
length <= 100description?stringLength
length <= 2000instructions*stringThe agent's system prompt (version 1)
Length
length <= 20000notes?stringLength
length <= 2000modelId?stringThe model version 1 runs on (default the platform's default model)
Format
uuidmcp?array<>MCP servers its agents get
clientMcp?booleanLet apps give its agents MCP servers for a thread
Created
application/json- response
data*curl -X POST 'https://agents.example.com/v1/agent-templates' \ -H 'Content-Type: application/json' \ -d '{ "slug": "string", "name": "string", "instructions": "string"}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "assistant", "name": "string", "description": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "status": "private", "reviewNote": "string", "archived": true, "currentVersion": 0, "agentCount": 0, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}